Get payment by ID
curl --request GET \
--url https://api.tagada.io/api/public/v1/payments/{paymentId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tagada.io/api/public/v1/payments/{paymentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tagada.io/api/public/v1/payments/{paymentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "pay_123",
"amount": 2999,
"currency": "USD",
"status": "succeeded",
"createdAt": "2024-03-20T10:30:00Z",
"customer": {
"id": "cus_456",
"email": "john@example.com",
"firstName": "John",
"lastName": "Doe"
},
"transactions": [
{
"id": "txn_789",
"type": "purchase",
"status": "succeeded",
"amount": 2999,
"currency": "USD"
}
],
"paymentInstrument": {
"type": "card",
"card": {
"last4": "4242",
"brand": "visa",
"expYear": 2025,
"expMonth": 12
}
}
}{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}payments
Get payment by ID
Retrieve detailed information about a specific payment including transactions and customer data
GET
/
api
/
public
/
v1
/
payments
/
{paymentId}
Get payment by ID
⌘I
